Subject: [eman] Feedback on the EMAN requirement draft

From: Benoit Claise <[email-masked]>
Date: Wed, 06 Jul 2011 12:39:13 +0200

Dear all,

Here is some more feedback on the EMAN requirement draft

* The current table of content shows

    4.  Identification of Powered Entities . . . . . . . . . . . . . . 10

    5.  Required Information on Powered Entities . . . . . . . . . . . 11
      5.1.  General information on entities  . . . . . . . . . . . . . 11
      5.2.  Power state  . . . . . . . . . . . . . . . . . . . . . . . 12
      5.3.  Power inlet and power outlet . . . . . . . . . . . . . . . 14
      5.4.  Power  . . . . . . . . . . . . . . . . . . . . . . . . . . 16
      5.5.  Energy . . . . . . . . . . . . . . . . . . . . . . . . . . 18
      5.6.  Battery State  . . . . . . . . . . . . . . . . . . . . . . 19

    6.  Control of Powered Entities  . . . . . . . . . . . . . . . . . 21

    7.  Reporting on Other Powered Entities  . . . . . . . . . . . . . 22

    8.  Controlling Other Powered Entities . . . . . . . . . . . . . . 23
      8.1.  Controlling power states of other entities . . . . . . . . 23
      8.2.  Controlling power supply of other entities . . . . . . . . 24

It seems that only section 5 is about requirements.
Should the term required or requirement be added to the section 4, 6, 7 and 8?

* Also, I'm not sure why the following sentences are in section 5. These should be generic.

    Note that the fact that an energy management standard provides
    required means does not imply that all of them must be implemented by
    every compliant implementation.  The concrete specification of
    standards based on these requirements may label individual features
    as mandatory, recommended, or optional.

*  I still some requirements about "entity"

    5.2.1. Actual power state

    The energy management standard must provide means for reporting the
    actual power state of an entity.

Please check all instances of "entity" -> "powered entity"

* You have remove this, i.e. the reference to IPFIX

    Monitoring of power states and energy consumption can be performed in
    pull mode (for example, SNMP GET [RFC3410  <http://tools.ietf.org/html/rfc3410>]) or in push mode (for
    example SNMP notification [RFC3410  <http://tools.ietf.org/html/rfc3410>], Syslog [RFC5424  <http://tools.ietf.org/html/rfc5424>], or IPFIX
    [RFC5101  <http://tools.ietf.org/html/rfc5101>]).

Question: should the EMAN framework cover the IPFIX or not?

* this sentence is difficult to read

      7.5. Content of reports on other entities

    The energy management standard must provide means for an entity to
    indicate for each other entity on which it can provide energy-related
    information which energy-related information can be provided for this
    entity.

Regards, Benoit.

---

From: Juergen Quittek <[email-masked]>
Date: Wed, 6 Jul 2011 13:49:45 +0200

Hi Benoit,

> Should the term required or requirement be added to the section 4, 6, 7 and 8?
Right, that's an inconsistency. But since not surprisingly most sections in the requirements draft 
are about requirements, I would rather suggest just removing "Required" from the title of section 5. 
I would prefer this to having "Required" or "Requirements" in most of the section headings of 
a document titled "Requirements". 
>    as mandatory, recommended, or optional.
Yes, they are repeated here from the introduction. We can remove them.

> Please check all instances of "entity" -> "powered entity"

I checked. There are many cases like "the power state of an entity".
Would you insist in always stating "the power state of a POWERED entity"?
I think the meaning would be unambiguous even without the change as it is in
"tags associated with a powered entity that indicate the entity's role" where 
the second occurrence of 'entity' just omits the attribute "powered", because
the semantics is not a matter of any doubt.

Also there is for example a section where we say: "An entity in this document 
may be an entire managed device or just a component of it." In such a case
I would prefer not to add "powered".

But I fully agree that we should avoid all potential ambiguities. 
Particularly for the numbered detailed requirements I will make sure 
that all are unambiguous and that the draft gets much more "power" inside :-)

>    pull mode (for example, SNMP GET [RFC3410]) or in push mode (for
>    example SNMP notification [RFC3410], Syslog [RFC5424], or IPFIX
>    [RFC5101]).

Is there a REQUIREMENT to use IPFIX?
If yes, it should be in.

>    information which energy-related information can be provided for this
For other requirements I had similar problems. and solved it by not starting with "The energy ..."

What about

   For entities that provide energy-related information on other entities,
   the energy management standard must provide means to indicate which 
   energy-related information can be provided for which other entity.
?
Thanks,

    Juergen

> Regards, Benoit.
> _______________________________________________
> eman mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eman

---

From: Benoit Claise <[email-masked]>
Date: Thu, 07 Jul 2011 14:34:40 +0200

Hi Juergen,
> a document titled "Requirements".
[BC] just looking for consistency here, nothing more.
> Is there a REQUIREMENT to use IPFIX?
The point is that is that the [EMAN-FMWK] has been going back and forth, 
adding and removing IPFIX based on the requirements
- initially IPFIX was mentioned in [EMAN-REQ]
- then we see now:

    A solution for this is that the
    concerned entity or another entity closely interacting with the
    concerned entity collect time series of power values and make them
    available via push or pull mechanisms to receivers of the
    information.

So, the questions are:
- Is IPFIX a requirement? Personally, I don't think we should mention it 
in [EMAN-REQ]
- However, what other mechanism do we have to PUSH time series of power 
values (no, SNMP notifications are not suitable)? So should we or not 
include IPFIX in the [EMAN-FMWK]?
> energy-related information can be provided for which otherentity.
> ?
that's better.

Regards, Benoit (as a contributor)
>> [email-masked] <mailto:[email-masked]>

---

From: Juergen Quittek <[email-masked]>
Date: Thu, 7 Jul 2011 15:30:21 +0200

Hi Benoit,

> [BC] just looking for consistency here, nothing more.

OK. I'll change it in the next revision.
> The point is that is that the [EMAN-FMWK] has been going back and forth, adding and removing IPFIX based on the requirements
> - Is IPFIX a requirement? Personally, I don't think we should mention it in [EMAN-REQ]

I share this view.

> - However, what other mechanism do we have to PUSH time series of power values (no, SNMP notifications are not suitable)? So should we or not include IPFIX in the [EMAN-FMWK]?

I think the push pull discussion is well located in the framework.
I would definitely mention IPFIX there. I am not sure if we should 
mention it just as a potential push technology or if we should already
select a push technology in the framework.

>>  For entities that provide
>>             energy-related information on other entities,

OK. I'll add it to the next version.

Thanks,

    Juergen